package javax.management;

import java.util.Set;
import java.io.IOException;

public interface MBeanServerConnection
{
    public abstract ObjectInstance createMBean(String p0, ObjectName p1) throws ReflectionException, InstanceAlreadyExistsException, MBeanRegistrationException, MBeanException, NotCompliantMBeanException, IOException;
    
    public abstract ObjectInstance createMBean(String p0, ObjectName p1, ObjectName p2) throws ReflectionException, InstanceAlreadyExistsException, MBeanRegistrationException, MBeanException, NotCompliantMBeanException, InstanceNotFoundException, IOException;
    
    public abstract ObjectInstance createMBean(String p0, ObjectName p1, Object[] p2, String[] p3) throws ReflectionException, InstanceAlreadyExistsException, MBeanRegistrationException, MBeanException, NotCompliantMBeanException, IOException;
    
    public abstract ObjectInstance createMBean(String p0, ObjectName p1, ObjectName p2, Object[] p3, String[] p4) throws ReflectionException, InstanceAlreadyExistsException, MBeanRegistrationException, MBeanException, NotCompliantMBeanException, InstanceNotFoundException, IOException;
    
    public abstract void unregisterMBean(ObjectName p0) throws InstanceNotFoundException, MBeanRegistrationException, IOException;
    
    public abstract ObjectInstance getObjectInstance(ObjectName p0) throws InstanceNotFoundException, IOException;
    
    public abstract Set<ObjectInstance> queryMBeans(ObjectName p0, QueryExp p1) throws IOException;
    
    public abstract Set<ObjectName> queryNames(ObjectName p0, QueryExp p1) throws IOException;
    
    public abstract boolean isRegistered(ObjectName p0) throws IOException;
    
    public abstract Integer getMBeanCount() throws IOException;
    
    public abstract Object getAttribute(ObjectName p0, String p1) throws MBeanException, AttributeNotFoundException, InstanceNotFoundException, ReflectionException, IOException;
    
    public abstract AttributeList getAttributes(ObjectName p0, String[] p1) throws InstanceNotFoundException, ReflectionException, IOException;
    
    public abstract void setAttribute(ObjectName p0, Attribute p1) throws InstanceNotFoundException, AttributeNotFoundException, InvalidAttributeValueException, MBeanException, ReflectionException, IOException;
    
    public abstract AttributeList setAttributes(ObjectName p0, AttributeList p1) throws InstanceNotFoundException, ReflectionException, IOException;
    
    public abstract Object invoke(ObjectName p0, String p1, Object[] p2, String[] p3) throws InstanceNotFoundException, MBeanException, ReflectionException, IOException;
    
    public abstract String getDefaultDomain() throws IOException;
    
    public abstract String[] getDomains() throws IOException;
    
    public abstract void addNotificationListener(ObjectName p0, NotificationListener p1, NotificationFilter p2, Object p3) throws InstanceNotFoundException, IOException;
    
    public abstract void addNotificationListener(ObjectName p0, ObjectName p1, NotificationFilter p2, Object p3) throws InstanceNotFoundException, IOException;
    
    public abstract void removeNotificationListener(ObjectName p0, ObjectName p1) throws InstanceNotFoundException, ListenerNotFoundException, IOException;
    
    public abstract void removeNotificationListener(ObjectName p0, ObjectName p1, NotificationFilter p2, Object p3) throws InstanceNotFoundException, ListenerNotFoundException, IOException;
    
    public abstract void removeNotificationListener(ObjectName p0, NotificationListener p1) throws InstanceNotFoundException, ListenerNotFoundException, IOException;
    
    public abstract void removeNotificationListener(ObjectName p0, NotificationListener p1, NotificationFilter p2, Object p3) throws InstanceNotFoundException, ListenerNotFoundException, IOException;
    
    public abstract MBeanInfo getMBeanInfo(ObjectName p0) throws InstanceNotFoundException, IntrospectionException, ReflectionException, IOException;
    
    public abstract boolean isInstanceOf(ObjectName p0, String p1) throws InstanceNotFoundException, IOException;
}
